### Method

# Adw Dialog set_can_close

since: 1.5

#### Declaration [src]

    void
    adw_dialog_set_can_close (
      AdwDialog* self,
      gboolean can_close
    )

#### Description [src]

Sets whether `self` can be closed.

If set to `FALSE`, the close button, shortcuts and `adw_dialog_close()` will result in `AdwDialog::close-attempt` being emitted instead, and bottom sheet close swipe will be disabled. `adw_dialog_force_close()` still works.

Available since: 1.5

Sets property | `Adw.Dialog:can-close`

#### Parameters

`can_close`

  Type: `gboolean`

  Whether to allow closing.